> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/upload-files-with-the-geopard-api.md).

# Загрузка файлов через API GeoPard

{% hint style="success" %}
Для файлов размером более 6 МБ рекомендуется использовать [схему с предварительно подписанным URL](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

API GeoPard позволяет загружать ZIP-архивы с наборами данных о почве, урожайности, внесении ресурсов и границах полей для дальнейшей обработки и анализа.

{% hint style="danger" %}
Из-за ограничений AWS максимальный размер файла, который можно загрузить через эту конечную точку REST API, составляет 6 МБ.
{% endhint %}

Шаги загрузки файлов размером более 6 МБ описаны в разделе [Загрузка ZIP-файлов (более 6 МБ)](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

Сразу после успешной загрузки набора данных о почве, урожайности или внесении ресурсов система GeoPard связывает его с соответствующими полями в указанном хозяйстве.

Сразу после успешной загрузки границ система GeoPard запускает их обработку.

Ответ содержит `<uuid>` который можно использовать для отслеживания статуса обработки.

#### Пример запроса:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Параметры:

1. `<type>` — тип загружаемого набора данных. Допустимые значения: `yield` ИЛИ `soil` ИЛИ `applied` ИЛИ `boundary`.
2. `<farm_uuid>` — `uuid` хозяйства, в которое будет загружен файл (необязательно).
3. `<token>` — токен доступа GeoPard.
4. `@path/to/file.zip` — путь к загружаемому файлу.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
